> ## Name

> hlsl10 - DirectX 10 High Level Shader Language (HLSL) profiles

> ## Synopsis

>       hlsl10

> ## Description

> hlsl10 corresponds not to a single profile but to a family of profiles that include vs_4_0, gs_4_0 and ps_4_0. For more details refer to each profile documentation.

> ## 3D Api Dependencies

> Requires Direct3D 10 support.

>       http://msdn.microsoft.com/en-us/library/bb509657.aspx

> ## Standard Library Issues

> Cg standard library routines are available.

> ## See Also

> vs_4_0, gs_4_0, ps_4_0